Bug 555657 - libspice.so.0 provides name conflict (qspice, tclspice)
Summary: libspice.so.0 provides name conflict (qspice, tclspice)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: qspice
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Uri Lublin
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 573349
TreeView+ depends on / blocked
 
Reported: 2010-01-15 06:15 UTC by Cao, Chen
Modified: 2013-01-09 22:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 573349 (view as bug list)
Environment:
Last Closed: 2010-08-26 17:08:18 UTC


Attachments (Terms of Use)

Description Cao, Chen 2010-01-15 06:15:09 UTC
Description of problem:
# /usr/libexec/qemu-kvm 
/usr/libexec/qemu-kvm: error while loading shared libraries: libspice.so.0: cannot open shared object file: No such file or directory

# rpm -qa |grep spice
tclspice-20-3.el5

# rpm -qa |grep kvm
kmod-kvm-83-147.el5
etherboot-zroms-kvm-5.4.4-13.el5
kvm-83-147.el5
kvm-tools-83-147.el5



Version-Release number of selected component (if applicable):
83-147.el5


How reproducible:
100%


Steps to Reproduce:
1. install kvm by "yum install -y kvm"
2. issue "/usr/libexec/qemu-kvm" in terminal
3.
  
Actual results:
kvm cannot find libspice.so.0.


Expected results:
kvm would return the help msg.


Additional info:
I think kvm.rpm actually using qspice for libspice.so.0,
but tclspice is installed by dependency.

and if i installed qspice*, qemu-kvm works good.

Comment 1 Eduardo Habkost 2010-01-20 18:27:12 UTC
Do you have the EPEL repository configured? tclspice is not part of RHEL.

1) If it is a real library name conflict, it needs to be sorted out by the qspice maintainers. Reassigning this BZ to them, so they can decide what to do about it.

2) tclspice provides libspice.so.0, but libspice.so.0 is on /usr/lib64/tclspice/libspice.so.0. Maybe it's not a real library name conflict and tclspice shouldn't actually have a libspice.so.0 RPM provides.

Comment 2 Cao, Chen 2010-01-21 01:40:03 UTC
(In reply to comment #1)
> Do you have the EPEL repository configured? tclspice is not part of RHEL.
> 

yes, as,
[epel]
name=Extra Packages for Enterprise Linux 5 - $basearch
#baseurl=http://download.fedoraproject.org/pub/epel/5/$basearch
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-5&arch=$basearch
failovermethod=priority
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL

[epel-debuginfo]
name=Extra Packages for Enterprise Linux 5 - $basearch - Debug
#baseurl=http://download.fedoraproject.org/pub/epel/5/$basearch/debug
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-debug-5&arch=$basearch
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL
gpgcheck=1

[epel-source]
name=Extra Packages for Enterprise Linux 5 - $basearch - Source
#baseurl=http://download.fedoraproject.org/pub/epel/5/SRPMS
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-source-5&arch=$basearch
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL
gpgcheck=1



> 1) If it is a real library name conflict, it needs to be sorted out by the
> qspice maintainers. Reassigning this BZ to them, so they can decide what to do
> about it.
> 
> 2) tclspice provides libspice.so.0, but libspice.so.0 is on
> /usr/lib64/tclspice/libspice.so.0. Maybe it's not a real library name conflict
> and tclspice shouldn't actually have a libspice.so.0 RPM provides.    

if i have tclspice installed, I can install/remove kvm without qspice* smoothly,
and of course, I can use qemu-kvm/qemu-img only if qspice is installed manually.

Comment 3 Uri Lublin 2010-01-24 14:17:55 UTC
Eduardo, is it enough that you just add the following line to the kvm spec?
Requires: qspice-libs

Comment 4 Eduardo Habkost 2010-01-25 00:34:27 UTC
An explicit qspice-libs dependency is enough short term (I did this on the KVM package, already), but long term it is preferable that we don't have this library name conflict. The next major version of the spice library may be an opportunity to solve the conflict.

Comment 8 Uri Lublin 2010-08-26 17:08:18 UTC
Following Eduardo's suggestion in Comment #4, I've fixed it for RHEL-6 (rhbz# 573349).

Closing this bug with reason fixed-in-next-release.


Note You need to log in before you can comment on or make changes to this bug.